Bug 1732566 - [KDE] Libreoffice menu display bugs make user interface almost unusable
Summary: [KDE] Libreoffice menu display bugs make user interface almost unusable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 18:00 UTC by Michael Fischer
Modified: 2020-05-26 14:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:31:42 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot after step 4. (1.09 MB, image/png)
2019-07-23 18:00 UTC, Michael Fischer
no flags Details

Description Michael Fischer 2019-07-23 18:00:33 UTC
Created attachment 1592931 [details]
Screenshot after step 4.

Description of problem: User interface broken.  Dropdown menus have transparent backgrounds, making them almost unreadable when superimposed on top of spreadsheet.  Menu bar also has incorrect background.

Version-Release number of selected component (if applicable): 6.2.5.2-1.

How reproducible:  Always

Steps to Reproduce:
1. Open LibreOffice calc.
2. Hover over "Edit" menu.
3. Hover over "View" menu.
4. Click on "View".
5. Click on "Page Break".

Actual results:
1. Spreadsheet opens.  Menu bar has background from underlying wallpaper.
2. "Edit" background turns opaque blue.
3. "View" background turns opaque blue.  "Edit" background remains opaque blue.
4. Transparent dropdown menu appears on top of spreadsheet.  Spreadsheet shows through the menu, rendering both menu and underlying part of spreadsheet almost unreadable.  [See attached screenshot.]
5. Spreadsheet displays in Page Break view.  Menu closes.  "Edit" and "View" backgrounds remains blue.

Expected results:
1. Spreadsheet opens.  Menu bar has light gray background.
2. "Edit" background turns opaque blue.
2. "Edit" background returns to light gray.  "View" background turns opaque blue.
3. Opaque dropdown menu with light gray background covers portion of spreadsheet.  Second item is "Page Break".
4. Spreadsheet displays in Page Break view.  Menu closes.  "View" background returns to light gray. 


Additional info:
Works as expected in version 6.2.2.2-4.  Failure occurs after upgrade to version 6.2.5.2-1.

Comment 1 Caolan McNamara 2019-07-23 19:05:12 UTC
What do help->about say in line 3 (copy and paste it in here, line should end with "UI render: something; VCL: something"

Comment 2 Michael Fischer 2019-07-23 20:15:30 UTC
CPU threads: 8; OS: Linux 5.1; UI render: default; VCL: kde4;

Comment 3 Caolan McNamara 2019-07-23 20:22:49 UTC
The gtk3 or kf5 one probably works better. I doubt there's going to be any more work on the kde4 one at this point.

Comment 4 Michael Fischer 2019-07-23 20:41:19 UTC
Installing libreoffice-kf5 and erasing libreoffice-kde4 fixed my problem.  Thank you so much for suggesting the switch to kf5.

Should package libreoffice-kde4-1:6.2.5.2-1.fc30.x86_64 perhaps be removed, and upgrading libreoffice-kde4 to version 6.2.5.2-1 and beyond automatically switch to libreoffice-kf5?

Comment 5 Caolan McNamara 2019-07-24 09:20:07 UTC
Current situation in F30 is per decision in bug #1647233 In upstream LibreOffice 6.3 KDE4 support is removed and we're trying the new KDE5 support as KDE4 replacement in F31

Comment 6 Michael Fischer 2019-07-24 18:52:28 UTC
Thanks again!

Comment 7 Ben Cotton 2020-04-30 21:30:03 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Michael Fischer 2020-05-07 21:38:24 UTC
Fixed in Fedora 31.

Comment 9 Ben Cotton 2020-05-26 14:31:42 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.